#include "OrxoBloxStones.h"

#include "core/CoreIncludes.h"
#include "core/XMLPort.h"

#include "OrxoBlox.h"

namespace orxonox
{
    RegisterClass(OrxoBloxStones);
    /**
    @brief
        Constructor. Registers and initializes the object.
    */
    OrxoBloxStones::OrxoBloxStones(Context* context) : StaticEntity(context)
    {
        RegisterObject(OrxoBloxStones);

        this->size_ = 9.0f;
        this->health_ = 1 + static_cast<unsigned int>(rnd(6.0f)); //<! random number between 0 and 7;
        this->delay_ = false;
    }
}